> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-leet-slack-mcp-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Analysis Result

> Invokes the c1.api.role_mining_management.v1.RoleMiningManagementService.GetCustomAnalysisResult method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/role-mining/custom-analysis/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/role-mining/custom-analysis/{id}:
    get:
      tags:
        - Role Mining
      summary: Get Custom Analysis Result
      description: >-
        Invokes the
        c1.api.role_mining_management.v1.RoleMiningManagementService.GetCustomAnalysisResult
        method.
      operationId: >-
        c1.api.role_mining_management.v1.RoleMiningManagementService.GetCustomAnalysisResult
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.role_mining_management.v1.GetCustomAnalysisResultResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: GetCustomAnalysisResult
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.RoleMiningManagement.GetCustomAnalysisResult(ctx, operations.C1APIRoleMiningManagementV1RoleMiningManagementServiceGetCustomAnalysisResultRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.GetCustomAnalysisResultResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.roleMiningManagement.getCustomAnalysisResult({
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.role_mining_management.v1.GetCustomAnalysisResultResponse:
      description: The GetCustomAnalysisResultResponse message.
      properties:
        appsAnalyzed:
          description: The appsAnalyzed field.
          format: int32
          type: integer
        clusters:
          description: Cluster results.
          items:
            $ref: '#/components/schemas/c1.mcp.role_mining.v1.EntitlementCluster'
          type:
            - array
            - 'null'
        cohortSize:
          description: The cohortSize field.
          format: int32
          type: integer
        entitlements:
          description: Entitlement coverage results.
          items:
            $ref: '#/components/schemas/c1.mcp.role_mining.v1.CohortEntitlement'
          type:
            - array
            - 'null'
        errorMessage:
          description: The errorMessage field.
          type: string
        facetUserCount:
          description: The facetUserCount field.
          format: int32
          type: integer
        facets:
          description: Facet results.
          items:
            $ref: '#/components/schemas/c1.mcp.role_mining.v1.AttributeFacet'
          type:
            - array
            - 'null'
        id:
          description: The id field.
          type: string
        status:
          description: The status field.
          enum:
            - RUN_STATUS_UNSPECIFIED
            - RUN_STATUS_RUNNING
            - RUN_STATUS_COMPLETED
            - RUN_STATUS_FAILED
          type: string
          x-speakeasy-unknown-values: allow
      title: Get Custom Analysis Result Response
      type: object
      x-speakeasy-name-override: GetCustomAnalysisResultResponse
    c1.mcp.role_mining.v1.EntitlementCluster:
      description: The EntitlementCluster message.
      properties:
        avgCoverage:
          description: The avgCoverage field.
          type: number
        avgSimilarity:
          description: The avgSimilarity field.
          type: number
        entitlements:
          description: The entitlements field.
          items:
            $ref: '#/components/schemas/c1.mcp.role_mining.v1.CohortEntitlement'
          type:
            - array
            - 'null'
        userCount:
          description: The userCount field.
          format: int32
          type: integer
      title: Entitlement Cluster
      type: object
      x-speakeasy-name-override: EntitlementCluster
    c1.mcp.role_mining.v1.CohortEntitlement:
      description: The CohortEntitlement message.
      properties:
        appDisplayName:
          description: The appDisplayName field.
          type: string
        appId:
          description: The appId field.
          type: string
        appResourceDisplayName:
          description: The appResourceDisplayName field.
          type: string
        appResourceTypeDisplayName:
          description: The appResourceTypeDisplayName field.
          type: string
        coverage:
          description: The coverage field.
          type: number
        entitlementDisplayName:
          description: The entitlementDisplayName field.
          type: string
        entitlementId:
          description: The entitlementId field.
          type: string
        grantedCount:
          description: The grantedCount field.
          format: int32
          type: integer
        riskLevelValueId:
          description: The riskLevelValueId field.
          type: string
      title: Cohort Entitlement
      type: object
      x-speakeasy-name-override: CohortEntitlement
    c1.mcp.role_mining.v1.AttributeFacet:
      description: >-
        AttributeFacet represents a filterable user profile attribute with its
        available values.
      properties:
        attribute:
          description: The attribute field.
          type: string
        displayName:
          description: The displayName field.
          type: string
        values:
          description: The values field.
          items:
            $ref: '#/components/schemas/c1.mcp.role_mining.v1.AttributeValue'
          type:
            - array
            - 'null'
      title: Attribute Facet
      type: object
      x-speakeasy-name-override: AttributeFacet
    c1.mcp.role_mining.v1.AttributeValue:
      description: AttributeValue represents a single value within a facet.
      properties:
        displayName:
          description: The displayName field.
          type: string
        userCount:
          description: The userCount field.
          format: int32
          type: integer
        value:
          description: The value field.
          type: string
      title: Attribute Value
      type: object
      x-speakeasy-name-override: RoleMiningAttributeValue
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````